summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander F Rødseth2015-06-10 14:26:33 +0200
committerAlexander F Rødseth2015-06-10 14:26:33 +0200
commitc07c93fef50af85991a18e3cc00c03c2f518b2f1 (patch)
treee6cbb79cdf4b072abb87114758fae6b257baa953
downloadaur-c07c93fef50af85991a18e3cc00c03c2f518b2f1.tar.gz
Initial import
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD25
2 files changed, 40 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d5f6ff4760f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = libsigcpp1.2
+ pkgdesc = A typesafe callback system for standard C++
+ pkgver = 1.2.7
+ pkgrel = 3
+ url = http://libsigc.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ makedepends = setconf
+ depends = glibc
+ source = http://ftp.gnome.org/pub/GNOME/sources/libsigc++/1.2/libsigc++-1.2.7.tar.bz2
+ md5sums = 212f48536019e1f003d2509b4c9b36df
+
+pkgname = libsigcpp1.2
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4833b6135fd
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Contributor: Alexander Rødseth <rodseth@gmail.com>
+# Contributor: Shinlun Hsieh <yngwiexx@yahoo.com.tw>
+pkgname=libsigcpp1.2
+pkgver=1.2.7
+pkgrel=3
+pkgdesc="A typesafe callback system for standard C++"
+arch=('i686' 'x86_64')
+url="http://libsigc.sourceforge.net/"
+license=('LGPL')
+depends=('glibc')
+makedepends=('setconf')
+source=(http://ftp.gnome.org/pub/GNOME/sources/libsigc++/1.2/libsigc++-$pkgver.tar.bz2)
+md5sums=('212f48536019e1f003d2509b4c9b36df')
+
+build() {
+ cd "$srcdir/libsigc++-$pkgver"
+ ./configure --prefix=/usr || return 1
+ setconf Makefile SUBDIRS "sigc++ doc"
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+ find "$pkgdir" -name "*.la" -exec rm {} +
+ install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+}
+
+# vim:set ts=2 sw=2 et: